package domain

type AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery struct {
	/*
	   分页参数     */
	Page *AlibabaWdkMarketingItempoolStairQueryitemBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   查询指定的skucode     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   报名活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery) SetPage(v AlibabaWdkMarketingItempoolStairQueryitemBasePageQuery) *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery) SetOutActId(v string) *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery) SetSkuCodes(v []string) *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery) SetActivityId(v int64) *AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery {
	s.ActivityId = &v
	return s
}
